> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/python/bitcoincashinput.md).

# BitcoinCashInput

## Properties

| Name             | Type    | Description | Notes       |
| ---------------- | ------- | ----------- | ----------- |
| **network**      | **str** |             | \[optional] |
| **private\_key** | **str** |             | \[optional] |

## Example

```python
from moonsdk.models.bitcoin_cash_input import BitcoinCashInput

# TODO update the JSON string below
json = "{}"
# create an instance of BitcoinCashInput from a JSON string
bitcoin_cash_input_instance = BitcoinCashInput.from_json(json)
# print the JSON string representation of the object
print(BitcoinCashInput.to_json())

# convert the object into a dict
bitcoin_cash_input_dict = bitcoin_cash_input_instance.to_dict()
# create an instance of BitcoinCashInput from a dict
bitcoin_cash_input_form_dict = bitcoin_cash_input.from_dict(bitcoin_cash_input_dict)
```

[\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/bitcoincashinput.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
